Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server Class Reference

Inheritance diagram for TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server

[legend]
Collaboration diagram for TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server ( TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target, const char * server, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual Dynamic::ParameterList* | arguments ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual Dynamic::ExceptionList* | exceptions ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual CORBA::Any* | result ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
## Private Methods
| TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server (const TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server &)
void | operator= (const TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server &)
## Private Attributes
const char* | server_

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server::TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server ( | TAO_GIOP_Invocation * _tao_invocation,
| CORBA::Object_ptr _tao_target,
| const char * server,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server::TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server ( | const TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server & )`[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server::arguments ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

Dynamic::ExceptionList * TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server::exceptions ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server::operator= ( | const TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server & )`[private]`

CORBA::Any * TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server::result ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

const char * TAO_ClientRequestInfo_ImplementationRepository_Administration_activate_server::server_`[private]`

The documentation for this class was generated from the following file:

- ImplRepoC.cpp